Subject: bug#57306: closed (Re: bug#57306: guix pull to old commit fails due to unsupported manifest format)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 31 Aug 2022 11:07:03 +0000

Your bug report

#57306: guix pull to old commit fails due to unsupported manifest format

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
57306: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=57306
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#57306: guix pull to old commit fails due to unsupported manifest format
From: Ludovic Courtès <[email-masked]>
To: Arun Isaac <[email-masked]>
Cc: [email-masked], zimoun <[email-masked]>
Date: Wed, 31 Aug 2022 13:06:20 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Arun Isaac <[email-masked]> skribis:

>> I do not think it is related to guix-daemon and I think it is expected;
>> indeed it could be considered as a bug.  The command-line,
>>
>>     guix pull --commit=xyz -p /tmp/test
>>
>> writes /tmp/test/manifest using the current Guix (say manifest 4) and
>> not using Guix at commit xyz (say manifest 3).  Contrary to “guix
>> time-machine --commit=xyz”.
>
> Ah, that makes sense! Any ideas as to how this issue might be fixed?

I fixed it in 67a6828b2bb821274757f686f7c685b664339a96 using the same
trick as earlier.

Thanks!

Ludo’.

Subject: guix pull to old commit fails due to unsupported manifest format
From: Arun Isaac <[email-masked]>
To: [email-masked]
Date: Sat, 20 Aug 2022 15:07:31 +0530
List-Id: <debbugs-submit.debbugs.gnu.org>

When I guix pull to 6f75565b4ec3b8a7247699c327a3b3196c787f76, activate
the profile and run guix describe, it fails with an "unsupported
manifest format" error.

--8<---------------cut here---------------start------------->8---
$ guix pull --commit=6f75565b4ec3b8a7247699c327a3b3196c787f76 -p
/tmp/test
$ source /tmp/test/etc/profile
$ guix describe
guix describe: error: unsupported manifest format
--8<---------------cut here---------------end--------------->8---

This happens because my guix-daemon writes a version 4 manifest and the
guix from commit 6f75565b4ec3b8a7247699c327a3b3196c787f76 only
understands a version 3 manifest.

This may be related to https://issues.guix.gnu.org/56545